EUCA-DESCRIBE-VPN-GATEWAYS(1)

NAME
euca-describe-vpn-gateways - Show information about virtual private gateways

SYNOPSIS
euca-describe-vpn-gateways [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [VGATEWAY [VGATEWAY ...]]

DESCRIPTION
Show information about virtual private gateways

  positional arguments:

VGATEWAY
    limit results to specific virtual private gateways

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

attachment.state
    state of attachment with a VPC

attachment.vpc-id
    ID of a VPC the virtual private gateway is attached to

availability-zone
    availability zone in which the virtual private gateway resides

tag-key
    key of a tag assigned to the customer gateway

tag-value
    value of a tag assigned to the customer gateway

tag:KEY
    specific tag key/value combination

type
    the type of virtual private gateway (ipsec.1)

vpn-gateway-id
    ID of the virtual private gateway